Bug 56080 - FILESAVE: Text overline when exporting EMF does not work.
Summary: FILESAVE: Text overline when exporting EMF does not work.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:emf
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2012-10-17 10:27 UTC by rx_px
Modified: 2016-12-06 12:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rx_px 2012-10-17 10:27:38 UTC
Problem description: 

Steps to reproduce:
1. Create a text box and write some text;
2. Select text, right click, Character-> Font effects.
3. In overline choose "simple".
4. Export as EMF.

Current behavior:
The overline does not show in exported EMF.

Expected behavior:
The exported file should look like the original.

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/20100101 Firefox/16.0
Comment 1 A (Andy) 2013-03-02 22:39:48 UTC
reproducible with LO 4.0.0.3 (Win7 Home, 64bit)

Reproduced with the following steps:
1. Opened DRAWING
2. Inserted a text box and written any text
3. Selected the text
4. Went to CHARACTER in the menu FORMAT
5. Went to the tab FONT EFFECTS
6. Chosen SINGLE OVERLINING
7. Export as emf
8. Opened the emf

Result: The OVERLINING is not exported.  But this is not only the case for the single overlining, but for all types of overlining.
But there are also problems with other font effects.  For instance all types of UNDERLINING are exported as a single underline, regardless whether this was in the original a dash or wave line, etc.  The same issue you can see for the font effect STRIKETHROUGH.  RELIEF effects are also not at all exported.

@Fridrich:  Could this maybe be an issue for you?
Comment 2 Chris Sherlock 2015-01-01 09:20:54 UTC
I will have a look at this.
Comment 3 QA Administrators 2016-01-17 20:02:28 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT:

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-01-17